[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.AutoFillColumns

Automatically resize columns so they fill all grid's visible area

## Declaration

Source position: grids.pas line 991

`protected property TCustomGrid.AutoFillColumns: Boolean read FAutoFillColumns write SetAutoFillColumns default false;`

## Description

When this option is turned on, the grid will resize all columns to fill the grid's client width. What columns are resized is determined by the following conditions:

1. Fixed Columns are not resized. 2. If the grid has Custom Columns, all columns with SizePriority=0 are not resized.

Note that Custom Columns are initially created with SizePriority=1. For TDbGrid, which automatically adds Custom Columns, this means the user will not be able to resize such columns using the mouse.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .